Subject: bug#37689: Fringe pixmaps, widgets, etc. look ridiculously tiny in hidpi screen

From: Eli Zaretskii <[email-masked]>
Date: Mon, 14 Oct 2019 17:54:28 +0300

> From: Carlos Pita <[email-masked]>
> Date: Mon, 14 Oct 2019 11:37:03 -0300
> Cc: Eli Zaretskii <[email-masked]>, Robert Pluim <[email-masked]>, [email-masked]
> 
> > > 2. I'm clueless regarding were widgets (I mean checkboxes and things like that) are rendered.
> 
> > I'm not sure I understand how this is related to the issue at hand. Can you elaborate?
> 
> By widgets I was referring to the checkboxes, arrows and stuff that
> you can see, for example, in a customize-face buffer. When changing
> the scaling parameters in x_cr_render_image in emacs 26.3, fringe
> bitmaps were affected but those aforementioned widgets weren't. In
> emacs 27 they indeed were affected by the same changes in code, but
> they looked weirdly distorted and clipped, as you can see in my
> previous screenshot. So, in brief, I couldn't locate the C code path
> for the rendering of this stuff, specially in emacs 26.3. And by
> rendering I was indistinctly referring to both stages you describe.

Maybe I'm confused: I thought we were talking about fringe bitmaps.
But you seem to be talking about a more general issue.  I'm not sure
all of the graphic elements we show on our display should share the
same solution wrt hidpi; in particular, I think fonts don't need
anything to support that.